diff --git a/src/Umbraco.Web.Common/Middleware/BootFailedMiddleware.cs b/src/Umbraco.Web.Common/Middleware/BootFailedMiddleware.cs
index ea2c0e02e4..11abf725c2 100644
--- a/src/Umbraco.Web.Common/Middleware/BootFailedMiddleware.cs
+++ b/src/Umbraco.Web.Common/Middleware/BootFailedMiddleware.cs
@@ -2,31 +2,25 @@ using System.Text;
 using Microsoft.AspNetCore.Hosting;
 using Microsoft.AspNetCore.Http;
 using Microsoft.Extensions.DependencyInjection;
+using Microsoft.Extensions.FileProviders;
 using Umbraco.Cms.Core;
 using Umbraco.Cms.Core.Exceptions;
 using Umbraco.Cms.Core.Services;
 using Umbraco.Cms.Web.Common.DependencyInjection;
-using Umbraco.Extensions;
 using IHostingEnvironment = Umbraco.Cms.Core.Hosting.IHostingEnvironment;
 
 namespace Umbraco.Cms.Web.Common.Middleware;
 
 /// <summary>
-///     Executes when Umbraco booting fails in order to show the problem
+/// Executes when Umbraco booting fails in order to show the problem.
 /// </summary>
+/// <seealso cref="Microsoft.AspNetCore.Http.IMiddleware" />
 public class BootFailedMiddleware : IMiddleware
 {
     private readonly IHostingEnvironment _hostingEnvironment;
     private readonly IWebHostEnvironment _webHostEnvironment;
     private readonly IRuntimeState _runtimeState;
 
-    public BootFailedMiddleware(IRuntimeState runtimeState, IHostingEnvironment hostingEnvironment)
-    : this(runtimeState, hostingEnvironment, StaticServiceProvider.Instance.GetRequiredService<IWebHostEnvironment>())
-    {
-        _runtimeState = runtimeState;
-        _hostingEnvironment = hostingEnvironment;
-    }
-
     public BootFailedMiddleware(IRuntimeState runtimeState, IHostingEnvironment hostingEnvironment, IWebHostEnvironment webHostEnvironment)
     {
         _runtimeState = runtimeState;
@@ -34,6 +28,11 @@ public class BootFailedMiddleware : IMiddleware
         _webHostEnvironment = webHostEnvironment;
     }
 
+    [Obsolete("Use ctor with all params. This will be removed in Umbraco 12")]
+    public BootFailedMiddleware(IRuntimeState runtimeState, IHostingEnvironment hostingEnvironment)
+        : this(runtimeState, hostingEnvironment, StaticServiceProvider.Instance.GetRequiredService<IWebHostEnvironment>())
+    { }
+
     public async Task InvokeAsync(HttpContext context, RequestDelegate next)
     {
         // TODO: It would be possible to redirect to the installer here in debug mode while
@@ -53,10 +52,12 @@ public class BootFailedMiddleware : IMiddleware
                 context.Response.Clear();
                 context.Response.StatusCode = 500;
 
-                var file = GetBootErrorFileName();
-
-                var viewContent = await File.ReadAllTextAsync(file);
-                await context.Response.WriteAsync(viewContent, Encoding.UTF8);
+                IFileInfo? fileInfo = GetBootErrorFileInfo();
+                if (fileInfo is not null)
+                {
+                    using var sr = new StreamReader(fileInfo.CreateReadStream(), Encoding.UTF8);
+                    await context.Response.WriteAsync(await sr.ReadToEndAsync(), Encoding.UTF8);
+                }
             }
         }
         else
@@ -65,14 +66,20 @@ public class BootFailedMiddleware : IMiddleware
         }
     }
 
-    private string GetBootErrorFileName()
+    private IFileInfo? GetBootErrorFileInfo()
     {
-        var fileName = _webHostEnvironment.MapPathWebRoot("~/config/errors/BootFailed.html");
-        if (File.Exists(fileName))
+        IFileInfo? fileInfo = _webHostEnvironment.WebRootFileProvider.GetFileInfo("config/errors/BootFailed.html");
+        if (fileInfo.Exists)
         {
-            return fileName;
+            return fileInfo;
         }
 
-        return _webHostEnvironment.MapPathWebRoot("~/umbraco/views/errors/BootFailed.html");
+        fileInfo = _webHostEnvironment.WebRootFileProvider.GetFileInfo("umbraco/views/errors/BootFailed.html");
+        if (fileInfo.Exists)
+        {
+            return fileInfo;
+        }
+
+        return null;
     }
 }
diff --git a/src/Umbraco.Web.Common/Umbraco.Web.Common.csproj b/src/Umbraco.Web.Common/Umbraco.Web.Common.csproj
index e08f45e5af..c75ddfe98f 100644
--- a/src/Umbraco.Web.Common/Umbraco.Web.Common.csproj
+++ b/src/Umbraco.Web.Common/Umbraco.Web.Common.csproj
@@ -40,7 +40,7 @@
     <PackageReference Include="Microsoft.SourceLink.GitHub" Version="1.1.1" PrivateAssets="all" />
     <PackageReference Include="MiniProfiler.AspNetCore.Mvc" Version="4.2.22" />
     <PackageReference Include="Serilog.AspNetCore" Version="5.0.0" />
-    <PackageReference Include="SixLabors.ImageSharp.Web" Version="2.0.1" />
+    <PackageReference Include="SixLabors.ImageSharp.Web" Version="2.0.2" />
     <PackageReference Include="Smidge.InMemory" Version="4.1.0" />
     <PackageReference Include="Smidge.Nuglify" Version="4.1.0" />
     <PackageReference Include="Umbraco.Code" Version="2.0.0" PrivateAssets="all" />
diff --git a/src/Umbraco.Web.Common/Views/UmbracoViewPage.cs b/src/Umbraco.Web.Common/Views/UmbracoViewPage.cs
index 0b3132b795..c9b64e006a 100644
--- a/src/Umbraco.Web.Common/Views/UmbracoViewPage.cs
+++ b/src/Umbraco.Web.Common/Views/UmbracoViewPage.cs
@@ -39,21 +39,19 @@ public abstract class UmbracoViewPage<TModel> : RazorPage<TModel>
                 return _helper;
             }
 
+            _helper = Context.RequestServices.GetRequiredService<UmbracoHelper>();
+
             TModel model = ViewData.Model;
             var content = model as IPublishedContent;
+
             if (content is null && model is IContentModel contentModel)
             {
                 content = contentModel.Content;
             }
 
-            if (content is null)
-            {
-                content = UmbracoContext?.PublishedRequest?.PublishedContent;
-            }
+            content ??= UmbracoContext?.PublishedRequest?.PublishedContent;
 
-            _helper = Context.RequestServices.GetRequiredService<UmbracoHelper>();
-
-            if (!(content is null))
+            if (content is not null)
             {
                 _helper.AssignedContentItem = content;
             }
diff --git a/src/Umbraco.Web.UI.Client/src/common/directives/components/application/umbcontextmenu.directive.js b/src/Umbraco.Web.UI.Client/src/common/directives/components/application/umbcontextmenu.directive.js
index f666e62587..7749dacdcc 100644
--- a/src/Umbraco.Web.UI.Client/src/common/directives/components/application/umbcontextmenu.directive.js
+++ b/src/Umbraco.Web.UI.Client/src/common/directives/components/application/umbcontextmenu.directive.js
@@ -7,7 +7,7 @@
  * Handles the click events on the context menu
 **/
 angular.module("umbraco.directives")
-.directive('umbContextMenu', function (navigationService, keyboardService, backdropService) {
+.directive('umbContextMenu', function (navigationService, keyboardService) {
     return {
         scope: {
             menuDialogTitle: "@",
@@ -20,22 +20,27 @@ angular.module("umbraco.directives")
         templateUrl: 'views/components/application/umb-contextmenu.html',
         link: function (scope, element, attrs, ctrl) {
 
+            // Map action icons using legacy icon font or svg icons.
+            Utilities.forEach(scope.menuActions, action => {
+              action.icon = (action.useLegacyIcon ? 'icon-' : '') + action.icon;
+            });
+            
             //adds a handler to the context menu item click, we need to handle this differently
             //depending on what the menu item is supposed to do.
-            scope.executeMenuItem = function (action) {
+            scope.executeMenuItem = action => {
                 navigationService.executeMenuAction(action, scope.currentNode, scope.currentSection);
             };
-
-            scope.outSideClick = function() {
+            
+            scope.outSideClick = () => {
                 navigationService.hideNavigation();
             };
-
-            keyboardService.bind("esc", function() {
+            
+            keyboardService.bind("esc", () =>  {
                 navigationService.hideNavigation();
             });
-
+            
             //ensure to unregister from all events!
-            scope.$on('$destroy', function () {
+            scope.$on('$destroy', () =>  {
                 keyboardService.unbind("esc");
             });
         }
diff --git a/src/Umbraco.Web.UI.Client/src/common/directives/components/content/umbcontentnodeinfo.directive.js b/src/Umbraco.Web.UI.Client/src/common/directives/components/content/umbcontentnodeinfo.directive.js
index 501ea9f81a..aba292523d 100644
--- a/src/Umbraco.Web.UI.Client/src/common/directives/components/content/umbcontentnodeinfo.directive.js
+++ b/src/Umbraco.Web.UI.Client/src/common/directives/components/content/umbcontentnodeinfo.directive.js
@@ -1,4 +1,4 @@
-﻿(function () {
+(function () {
     'use strict';
 
     function ContentNodeInfoDirective($timeout, logResource, eventsService, userService, localizationService, dateHelper, editorService, redirectUrlsResource, overlayService, entityResource) {
@@ -9,6 +9,7 @@
             var isInfoTab = false;
             var auditTrailLoaded = false;
             var labels = {};
+
             scope.publishStatus = [];
             scope.currentVariant = null;
             scope.currentUrls = [];
@@ -22,19 +23,17 @@
             scope.historyLabelKey = scope.node.variants && scope.node.variants.length === 1 ? "general_history" : "auditTrails_historyIncludingVariants";
 
             function onInit() {
-                entityResource.getAll("Template").then(function (templates) {
-                    scope.allTemplates = templates;
-                });
+                entityResource.getAll("Template").then(templates => scope.allTemplates = templates);
 
                 // set currentVariant
-                scope.currentVariant = _.find(scope.node.variants, (v) => v.active);
+                scope.currentVariant = scope.node.variants.find(v => v.active);
 
                 updateCurrentUrls();
 
                 // if there are any infinite editors open we are in infinite editing
                 scope.isInfiniteMode = editorService.getNumberOfEditors() > 0 ? true : false;
 
-                userService.getCurrentUser().then(function (user) {
+                userService.getCurrentUser().then(user => {
                     // only allow change of media type if user has access to the settings sections
                     const hasAccessToSettings = user.allowedSections.indexOf("settings") !== -1 ? true : false;
                     scope.allowChangeDocumentType = hasAccessToSettings;
@@ -54,7 +53,7 @@
                 ];
 
                 localizationService.localizeMany(keys)
-                    .then(function (data) {
+                    .then(data => {
                         [labels.deleted,
                         labels.unpublished,
                         labels.published,
@@ -81,7 +80,7 @@
                     });
 
                 scope.auditTrailOptions = {
-                    "id": scope.node.id
+                    id: scope.node.id
                 };
 
                 // make sure dates are formatted to the user's locale
@@ -101,10 +100,11 @@
                     scope.previewOpenUrl = '#/settings/documentTypes/edit/' + scope.documentType.id;
                 }
 
-                var activeApp = _.find(scope.node.apps, (a) => a.active);
+                var activeApp = scope.node.apps.find(a => a.active);
                 if (activeApp.alias === "umbInfo") {
                     loadRedirectUrls();
                     loadAuditTrail();
+                    isInfoTab = true;
                 }
 
                 // never show templates for element types (if they happen to have been created in the content tree)
@@ -118,12 +118,8 @@
 
             scope.openDocumentType = function (documentType) {
 
-                const variantIsDirty = _.some(scope.node.variants, function (variant) {
-                    return variant.isDirty;
-                });
-
                 // add confirmation dialog before opening the doc type editor
-                if (variantIsDirty) {
+                if (scope.node.variants.some(variant => variant.isDirty)) {
                     const confirm = {
                         title: labels.unsavedChanges,
                         view: "default",
@@ -149,7 +145,7 @@
             function openDocTypeEditor(documentType) {
                 const editor = {
                     id: documentType.id,
-                    submit: function (model) {
+                    submit: function () {
                         editorService.close();
                     },
                     close: function () {
@@ -160,13 +156,14 @@
             }
 
             scope.openTemplate = function () {
-                var template = _.findWhere(scope.allTemplates, { alias: scope.node.template })
+                var template = scope.allTemplates.find(x => x.alias === scope.node.template);
+
                 if (!template) {
                     return;
                 }
                 var templateEditor = {
                     id: template.id,
-                    submit: function (model) {
+                    submit: function () {
                         editorService.close();
                     },
                     close: function () {
@@ -185,7 +182,7 @@
 
                 var rollback = {
                     node: scope.node,
-                    submit: function (model) {
+                    submit: function () {
                         const args = { node: scope.node };
                         eventsService.emit("editors.content.reload", args);
                         editorService.close();
@@ -211,7 +208,7 @@
 
                         // get current backoffice user and format dates
                         userService.getCurrentUser().then(currentUser => {
-                            Utilities.forEach(data.items, item => {
+                            data.items.forEach(item => {
                                 item.timestampFormatted = dateHelper.getLocalDate(item.timestamp, currentUser.locale, 'LLL');
                             });
                         });
@@ -255,7 +252,7 @@
             }
 
             function setAuditTrailLogTypeColor(auditTrail) {
-                Utilities.forEach(auditTrail, item => {
+                auditTrail.forEach(item => {
 
                     switch (item.logType) {
                         case "Save":
@@ -325,10 +322,14 @@
 
                 // find the urls for the currently selected language
                 // when there is no selected language (allow vary by culture == false), show all urls of the node.
-                scope.currentUrls = _.filter(scope.node.urls, (url) => (scope.currentVariant.language == null || scope.currentVariant.language.culture === url.culture));
+                scope.currentUrls = scope.node.urls.filter(url => scope.currentVariant.language == null || scope.currentVariant.language.culture === url.culture);
 
                 // figure out if multiple cultures apply across the content URLs
-                scope.currentUrlsHaveMultipleCultures = _.keys(_.groupBy(scope.currentUrls, url => url.culture)).length > 1;
+                // by getting an array of the url cultures, then checking that more than one culture exists in the array
+                scope.currentUrlsHaveMultipleCultures = scope.currentUrls
+                    .map(x => x.culture)
+                    .filter((v, i, arr) => arr.indexOf(v) === i)
+                    .length > 1;
             }
 
             // load audit trail and redirects when on the info tab
diff --git a/src/Umbraco.Web.UI.Client/src/common/directives/components/editor/umbeditormenu.directive.js b/src/Umbraco.Web.UI.Client/src/common/directives/components/editor/umbeditormenu.directive.js
index 281a52e4e5..37ce9096f6 100644
--- a/src/Umbraco.Web.UI.Client/src/common/directives/components/editor/umbeditormenu.directive.js
+++ b/src/Umbraco.Web.UI.Client/src/common/directives/components/editor/umbeditormenu.directive.js
@@ -1,7 +1,7 @@
 (function () {
     'use strict';
 
-    function EditorMenuDirective($injector, treeService, navigationService, umbModelMapper, appState) {
+    function EditorMenuDirective(treeService, navigationService, appState) {
 
         function link(scope, el, attr, ctrl) {
 
@@ -17,7 +17,7 @@
 
             //adds a handler to the context menu item click, we need to handle this differently
             //depending on what the menu item is supposed to do.
-            scope.executeMenuItem = function (action) {
+            scope.executeMenuItem = action => {
                 //the action is called as it would be by the tree. to ensure that the action targets the correct node, 
                 //we need to set the current node in appState before calling the action. otherwise we break all actions
                 //that use the current node (and that's pretty much all of them)
@@ -34,10 +34,14 @@
                 }
 
                 if (!scope.actions) {
-                    treeService.getMenu({ treeNode: scope.currentNode })
-                        .then(function (data) {
-                            scope.actions = data.menuItems;
+                    treeService.getMenu({ treeNode: scope.currentNode }).then(data => {
+                        scope.actions = data.menuItems;
+
+                        // Map action icons using legacy icon font or svg icons.
+                        Utilities.forEach(scope.actions, action => {
+                          action.icon = (action.useLegacyIcon ? 'icon-' : '') + action.icon;
                         });
+                    });
                 }
             };
 
diff --git a/src/Umbraco.Web.UI.Client/src/common/directives/components/property/umbpropertyactions.component.js b/src/Umbraco.Web.UI.Client/src/common/directives/components/property/umbpropertyactions.component.js
index 41dbd9f547..3503cde819 100644
--- a/src/Umbraco.Web.UI.Client/src/common/directives/components/property/umbpropertyactions.component.js
+++ b/src/Umbraco.Web.UI.Client/src/common/directives/components/property/umbpropertyactions.component.js
@@ -22,6 +22,7 @@
 
         vm.$onDestroy = onDestroy;
         vm.$onInit = onInit;
+        vm.$onChanges = onChanges;
 
         function initDropDown() {
             keyboardService.bind("esc", vm.close);
@@ -72,6 +73,25 @@
                 vm.labels.closeText = values[1];
             });
         }
+
+        function onChanges(simpleChanges) {
+            if (simpleChanges.actions) {
+
+              let actions = simpleChanges.actions.currentValue || [];
+
+              Utilities.forEach(actions, action => {
+
+                if (action.labelKey) {
+                    localizationService.localize(action.labelKey, (action.labelTokens || []), action.label).then(data => {
+                      action.label = data;
+                    });
+                    
+                    action.useLegacyIcon = action.useLegacyIcon === false ? false : true;
+                    action.icon = (action.useLegacyIcon ? 'icon-' : '') + action.icon;
+                }
+              });
+            }
+        }
     }
 
     var umbPropertyActionsComponent = {
diff --git a/src/Umbraco.Web.UI.Client/src/common/directives/components/umblightbox.directive.js b/src/Umbraco.Web.UI.Client/src/common/directives/components/umblightbox.directive.js
index 8d223e427e..0874c54cd2 100644
--- a/src/Umbraco.Web.UI.Client/src/common/directives/components/umblightbox.directive.js
+++ b/src/Umbraco.Web.UI.Client/src/common/directives/components/umblightbox.directive.js
@@ -94,6 +94,8 @@
                     for (var e in eventBindings) {
                         eventBindings[e]();
                     }
+                    
+                    el.remove();
                 });
             }
 
diff --git a/src/Umbraco.Web.UI.Client/src/common/resources/dictionary.resource.js b/src/Umbraco.Web.UI.Client/src/common/resources/dictionary.resource.js
index 38a96fbcda..fd81668d04 100644
--- a/src/Umbraco.Web.UI.Client/src/common/resources/dictionary.resource.js
+++ b/src/Umbraco.Web.UI.Client/src/common/resources/dictionary.resource.js
@@ -160,6 +160,77 @@ function dictionaryResource($q, $http, $location, umbRequestHelper, umbDataForma
             "Failed to save data for dictionary id " + dictionary.id);
     }
 
+    /**
+        * @ngdoc method
+        * @name umbraco.resources.dictionaryResource#export
+        * @methodOf umbraco.resources.dictionaryResource
+        *
+        * @description
+        * Export dictionary items of a given id.
+        *
+        * ##usage
+        * <pre>
+        * dictionaryResource.exportItem(1234){
+        *    .then(function() {
+        *       Do stuff..
+        *    });
+        * </pre>
+        *
+        * @param {Int} id the ID of the dictionary item so export
+        * @param {Bool?} includeChildren if children should also be exported
+        * @returns {Promise} resourcePromise object.
+        *
+        */
+      function exportItem(id, includeChildren) {
+          if (!id) {
+              throw "id cannot be null";
+          }
+
+          var url = umbRequestHelper.getApiUrl("dictionaryApiBaseUrl", "ExportDictionary", { id: id, includeChildren: includeChildren });
+
+          return umbRequestHelper.downloadFile(url).then(function () {
+              localizationService.localize("speechBubbles_dictionaryItemExportedSuccess").then(function(value) {
+                  notificationsService.success(value);
+              });
+          }, function (data) {
+              localizationService.localize("speechBubbles_dictionaryItemExportedError").then(function(value) {
+                  notificationsService.error(value);
+              });
+          });
+      }
+
+    /**
+        * @ngdoc method
+        * @name umbraco.resources.dictionaryResource#import
+        * @methodOf umbraco.resources.dictionaryResource
+        *
+        * @description
+        * Import a dictionary item from a file
+        *
+        * ##usage
+        * <pre>
+        * dictionaryResource.importItem("path to file"){
+        *    .then(function() {
+        *       Do stuff..
+        *    });
+        * </pre>
+        *
+        * @param {String} file path of the file to import
+        * @param {Int?} parentId the int of the parent dictionary item to move incomming dictionary items to
+        * @returns {Promise} resourcePromise object.
+        *
+        */
+    function importItem(file, parentId) {
+        if (!file) {
+            throw "file cannot be null";
+        }
+
+      return umbRequestHelper.resourcePromise(
+        $http.post(umbRequestHelper.getApiUrl("dictionaryApiBaseUrl", "ImportDictionary", { file: file, parentId: parentId })),
+            "Failed to import dictionary item " + file
+        );
+    }
+
     /**
          * @ngdoc method
          * @name umbraco.resources.dictionaryResource#getList
@@ -194,6 +265,8 @@ function dictionaryResource($q, $http, $location, umbRequestHelper, umbDataForma
     getById: getById,
     save: save,
     move: move,
+    exportItem: exportItem,
+    importItem: importItem,
     getList : getList
   };
 
diff --git a/src/Umbraco.Web.UI.Client/src/common/services/contenteditinghelper.service.js b/src/Umbraco.Web.UI.Client/src/common/services/contenteditinghelper.service.js
index f4c6063a9a..e7ecb5c93c 100644
--- a/src/Umbraco.Web.UI.Client/src/common/services/contenteditinghelper.service.js
+++ b/src/Umbraco.Web.UI.Client/src/common/services/contenteditinghelper.service.js
@@ -506,6 +506,37 @@ function contentEditingHelper(fileManager, $q, $location, $routeParams, editorSt
 
         },
 
+        /**
+         * @ngdoc method
+         * @name umbraco.services.contentEditingHelper#getPermissionsForContent
+         * @methodOf umbraco.services.contentEditingHelper
+         * @function
+         *
+         * @description
+         * Returns a object with permissions for user.
+         */
+        getPermissionsForContent: function () {
+
+            // Just ensure we do have an editorState
+            if (!editorState.current) return null;
+            
+            // Fetch current node allowed actions for the current user
+            // This is the current node & not each individual child node in the list
+            const currentUserPermissions = editorState.current.allowedActions || [];
+
+            // Create a nicer model rather than the funky & hard to remember permissions strings
+            const currentNodePermissions = {
+                canCopy: currentUserPermissions.includes('O'), //Magic Char = O
+                canCreate: currentUserPermissions.includes('C'), //Magic Char = C
+                canDelete: currentUserPermissions.includes('D'), //Magic Char = D
+                canMove: currentUserPermissions.includes('M'), //Magic Char = M
+                canPublish: currentUserPermissions.includes('U'), //Magic Char = U
+                canUnpublish: currentUserPermissions.includes('Z') //Magic Char = Z
+            };
+            
+            return currentNodePermissions;
+        },
+
         /**
          * @ngdoc method
          * @name umbraco.services.contentEditingHelper#reBindChangedProperties
diff --git a/src/Umbraco.Web.UI.Client/src/common/services/history.service.js b/src/Umbraco.Web.UI.Client/src/common/services/history.service.js
index 114d002a4d..d94ff52183 100644
--- a/src/Umbraco.Web.UI.Client/src/common/services/history.service.js
+++ b/src/Umbraco.Web.UI.Client/src/common/services/history.service.js
@@ -130,7 +130,7 @@ angular.module('umbraco.services')
         getLastAccessedItemForSection: function (sectionAlias) {
             for (var i = 0, len = nArray.length; i < len; i++) {
                 var item = nArray[i];
-                if (item.link.indexOf(sectionAlias + "/") === 0) {
+                if (item.link === sectionAlias || item.link.indexOf(sectionAlias + "/") === 0) {
                     return item;
                 }
             }
@@ -138,4 +138,4 @@ angular.module('umbraco.services')
             return null;
         }
 	};
-});
\ No newline at end of file
+});
diff --git a/src/Umbraco.Web.UI.Client/src/installer/installer.service.js b/src/Umbraco.Web.UI.Client/src/installer/installer.service.js
index 27b1381f02..c7f2645b97 100644
--- a/src/Umbraco.Web.UI.Client/src/installer/installer.service.js
+++ b/src/Umbraco.Web.UI.Client/src/installer/installer.service.js
@@ -19,7 +19,7 @@ angular.module("umbraco.install").factory('installerService', function ($rootSco
 					"Over 500 000 websites are currently powered by Umbraco",
 					"At least 2 people have named their cat 'Umbraco'",
 					"On an average day more than 1000 people download Umbraco",
-					"<a target='_blank' rel='noopener' href='https://umbraco.tv/'>umbraco.tv</a> is the premier source of Umbraco video tutorials to get you started",
+					"<a target='_blank' rel='noopener' href='https://www.youtube.com/channel/UCbGfwSAPflebnadyhEPw-wA?ref=tvFromInstaller'>Umbraco Learning Base</a> is the premier source of Umbraco video tutorials to get you started",
 					"You can find the world's friendliest CMS community at <a target='_blank' rel='noopener' href='https://our.umbraco.com/'>our.umbraco.com</a>",
 					"You can become a certified Umbraco developer by attending one of the official courses",
 					"Umbraco works really well on tablets",
diff --git a/src/Umbraco.Web.UI.Client/src/installer/steps/user.controller.js b/src/Umbraco.Web.UI.Client/src/installer/steps/user.controller.js
index b4aa8eedf5..dab3f1beaf 100644
--- a/src/Umbraco.Web.UI.Client/src/installer/steps/user.controller.js
+++ b/src/Umbraco.Web.UI.Client/src/installer/steps/user.controller.js
@@ -3,7 +3,7 @@ angular.module("umbraco.install").controller("Umbraco.Install.UserController", f
   $scope.majorVersion = Umbraco.Sys.ServerVariables.application.version;
   $scope.passwordPattern = /.*/;
   $scope.installer.current.model.subscribeToNewsLetter = $scope.installer.current.model.subscribeToNewsLetter || false;
-  $scope.installer.current.model.telemetryLevel = $scope.installer.current.model.telemetryLevel || $scope.installer.current.model.consentLevels[1].level;
+  setTelemetryLevelAndDescription($scope.installer.current.model.telemetryIndex ?? 1);
 
   if ($scope.installer.current.model.minNonAlphaNumericLength > 0) {
     var exp = "";
@@ -15,11 +15,6 @@ angular.module("umbraco.install").controller("Umbraco.Install.UserController", f
     $scope.passwordPattern = new RegExp(exp);
   }
 
-  $scope.consentTooltip = {
-    show: false,
-    event: null
-  };
-
   if ('noUiSlider' in window) {
     let consentSliderStartLevel = 2;
     const initialConsentLevel = $scope.installer.current.model.consentLevels.findIndex(x => x.level === $scope.installer.current.model.telemetryLevel);
@@ -36,6 +31,7 @@ angular.module("umbraco.install").controller("Umbraco.Install.UserController", f
         "min": 1,
         "max": 3
       },
+      behaviour: 'smooth-steps-tap',
       pips: {
         mode: 'values',
         density: 50,
@@ -63,22 +59,6 @@ angular.module("umbraco.install").controller("Umbraco.Install.UserController", f
       });
 
       pips.forEach(function (pip) {
-        pip.addEventListener('mouseenter', function (e) {
-          $scope.$apply(function () {
-            const value = pip.getAttribute('data-value');
-            $scope.consentTooltip.show = true;
-            $scope.consentTooltip.event = e;
-            $scope.consentTooltip.description = $sce.trustAsHtml($scope.installer.current.model.consentLevels[value - 1].description);
-          });
-        });
-
-        pip.addEventListener('mouseleave', function () {
-          $scope.$apply(function () {
-            $scope.consentTooltip.show = false;
-            $scope.consentTooltip.event = null;
-            $scope.consentTooltip.description = '';
-          });
-        });
 
         pip.addEventListener('click', function () {
           const value = pip.getAttribute('data-value');
@@ -99,8 +79,16 @@ angular.module("umbraco.install").controller("Umbraco.Install.UserController", f
   };
 
   function onChangeConsent(values) {
-    const result = Number(values[0]);
-    $scope.installer.current.model.telemetryLevel = $scope.installer.current.model.consentLevels[result - 1].level;
+    const result = Number(values[0]) - 1;
+    $scope.$apply(() => {
+      setTelemetryLevelAndDescription(result);
+    });
   };
 
+  function setTelemetryLevelAndDescription(idx) {
+    $scope.telemetryDescription = $sce.trustAsHtml($scope.installer.current.model.consentLevels[idx].description);
+    $scope.installer.current.model.telemetryIndex = idx;
+    $scope.installer.current.model.telemetryLevel = $scope.installer.current.model.consentLevels[idx].level;
+  }
+
 });
